> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# オブジェクトからエイリアスを削除

> オブジェクトからエイリアスを削除します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /objs/{object_id}/aliases/remove
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /objs/{object_id}/aliases/remove:
    post:
      tags:
        - Objects
      summary: オブジェクトからエイリアスを削除
      description: オブジェクトからエイリアスを削除します。
      operationId: obj_remove_aliases_objs__object_id__aliases_remove_post
      parameters:
        - in: path
          name: object_id
          required: true
          schema:
            title: Object Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjRemoveAliasesBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjRemoveAliasesRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ObjRemoveAliasesBody:
      additionalProperties: false
      description: エイリアスを削除するためのリクエストボディです（object_id はパスから取得されます）。
      properties:
        aliases:
          examples:
            - - staging
          items:
            type: string
          title: Aliases
          type: array
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
      required:
        - project_id
        - aliases
      title: ObjRemoveAliasesBody
      type: object
    ObjRemoveAliasesRes:
      properties: {}
      title: ObjRemoveAliasesRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````